PaymentMethod
List the organization's configured payment methods
GET /api/v1/payment-methods
Nécessite une authentification (jeton Bearer) et l’en-tête X-Organization-Id.
Capability metadata only (never credentials): use supports_payment_links to decide whether to offer online-payment actions such as sharing an invoice payment link. Unpaginated — organizations have a handful of methods. Filters: provider, direction, is_active, currency. (#843)
Paramètres
| Nom | Emplacement | Type | Requis | Description |
|---|---|---|---|---|
provider |
query | string | non | |
direction |
query | string | non | |
is_active |
query | boolean | non | |
currency |
query | string | non |
Réponses
| Statut | Description |
|---|---|
| 200 | For non-paginated data, return as before |
| 422 |
Exemple de requête
curl -X GET "https://app.encryptinvoice.com/api/v1/payment-methods" \
-H "Authorization: Bearer {{access_token}}" \
-H "X-Organization-Id: {{organization_id}}" \
-H "Accept: application/json"